#team_generator {
    width: 100%;
    height: 100%;
}

#control_panel {
    font-family: 'Outfit', sans-serif;
    justify-content: center;
    /*background-color: rgb(245, 245, 245);*/
    padding-top: 50px;
    padding-bottom: 10px;
    width: 60%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 15px;
    border-radius: 16px;
}

#players_panel, #teams_panel {
    margin: 25px;
    width: auto;
}

#teams_panel {
    max-width: 300px;
    margin-left: auto;
    margin-right: auto;
    padding: 0px 25px 0px 25px;
}

#teams_panel #teams_settings {
    display: flex;
    justify-content: center;
    align-items: center;
}

#players_text_area {
    box-sizing: border-box;
    display: block;
    max-width: 300px;
    width: 100%;
    min-width: 100px;
    resize: vertical;
    max-height: 300px;
    min-height: 40px;
    padding: 10px;
    font-family: 'Outfit', sans-serif;
    font-weight: 300;
    font-size: 1em;
    border: none;
    overflow-x: hidden;
    overflow-y: auto;
    border-radius: 5px;
    margin-left: auto;
    margin-right: auto;
    box-shadow: 0px 1px 8px -3px rgba(0, 0, 0, 0.26);
    /*background-color: rgb(250, 250, 250);*/
}

.counter {
    color: rgb(140, 140, 140);
    font-weight: 400;
    max-width: 300px; 
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 5px;
}
.counter i {
    margin-right: 8px;
    margin-left: 10px;
}

#team_count_input {
    box-sizing: border-box;
    font-family: 'Outfit', sans-serif;
    font-weight: 300;
    border: none;
    font-size: 1.2em;
    padding: 5px 10px 5px 10px;
    border-radius: 1000px;
    width: 100%;
    min-width: 50px;
    /*background-color: rgb(250, 250, 250);*/
    box-shadow: 0px 1px 8px -3px rgba(0, 0, 0, 0.26);
    height: fit-content;
}

.team_count_btn {
    border: none;
    background-image: linear-gradient(90deg, rgb(0, 252, 190), rgb(35, 206, 227));
    background-size: 120%;
    background-color: rgb(35, 206, 227);
    color: #fff;
    font-weight: 900;
    width: 42px;
    height: 42px;
    border-radius: 1000px;
    margin-left: 8px;
    cursor: pointer;
    flex-shrink: 0;
    box-shadow: 0px 1px 8px -2px rgb(35, 227, 217);
    transition: 0.2s filter ease-out;
}

.team_count_btn:hover {
    filter: grayscale(20%);
}
.team_count_btn:active {
    font-size: 70%;
}

#generate_button {
    margin: 25px auto 25px auto;
}

#teams {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    word-wrap: break-word;
    max-width: 80%;
    margin: 15px auto 25px auto;
}

.team_container {
    flex: 1 1 180px;
    max-width: 180px;
    overflow: hidden;
    margin: 15px;
    font-family: 'Outfit', sans-serif;
    box-shadow: 0px 1px 8px -3px rgba(0, 0, 0, 0.26);
    padding: 15px;
    border-radius: 16px;
}

.team_container h1 {
    font-size: 1.6em;
    color: #333;
    border-bottom: 1px solid #ddd;
    padding-bottom: 4px;
}
.team_container span {
    display: block;
    margin-top: 4px;
    font-size: 1.05em;
    color:rgb(120, 120, 120);
}
.team_container span a {
    margin-right: 4px;
}